MeasurementTable.MeasurementTableModel
Date: 2019-10-22

org.openscience.jmol.app.jmolpanel

## Class MeasurementTable.MeasurementTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - org.openscience.jmol.app.jmolpanel.MeasurementTable.MeasurementTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel
  Enclosing class:
    MeasurementTable

      class MeasurementTable.MeasurementTableModel
      extends javax.swing.table.AbstractTableModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String[]` | `measurementHeaders`

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeasurementTableModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends java.lang.String>` | `getColumnClass(int col)`
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int col)`
    `int` | `getRowCount()`
    `java.lang.Object` | `getValueAt(int row, int col)`
    `boolean` | `isCellEditable(int row, int col)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### measurementHeaders

          final java.lang.String[] measurementHeaders

  - ### Constructor Detail

    - #### MeasurementTableModel

          MeasurementTableModel()

  - ### Method Detail

    - #### getColumnName

          public java.lang.String getColumnName(int col)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`

    - #### getRowCount

          public int getRowCount()

    - #### getColumnCount

          public int getColumnCount()

    - #### getColumnClass

          public java.lang.Class<? extends java.lang.String> getColumnClass(int col)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

    - #### getValueAt

          public java.lang.Object getValueAt(int row,
                                             int col)

    - #### isCellEditable

          public boolean isCellEditable(int row,
                                        int col)

      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.AbstractTableModel`